Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionDockWidget

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionDockWidget

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

Direct Known Subclasses:
  QStyleOptionDockWidgetV2

    public class QStyleOptionDockWidget

extends QStyleOption
implements java.lang.Cloneable

The `QStyleOptionDockWidget` class is used to describe the parameters for drawing a dock widget. `QStyleOptionDockWidget` contains all the information that `QStyle` functions need to draw graphical elements like `QDockWidget`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`.

Nested Class Summary
`static class` | `QStyleOptionDockWidget.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionDockWidget.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QStyleOptionDockWidget()` Constructs a `QStyleOptionDockWidget`, initializing the member variables to their default values.
`QStyleOptionDockWidget(QStyleOptionDockWidget other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionDockWidget` | `clone()` This method is reimplemented for internal reasons
`boolean` | `closable()` This variable holds whether the dock window is closable.
`boolean` | `floatable()` This variable holds whether the dock window is floatable.
`static QStyleOptionDockWidget` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QStyleOptionDockWidget instance pointed to by `nativePointer`.
`boolean` | `movable()` This variable holds whether the dock window is movable.
`static QNativePointer` | `nativePointerArray(QStyleOptionDockWidget[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionDockWidget array.
`void` | `setClosable(boolean closable)` This variable holds whether the dock window is closable.
`void` | `setFloatable(boolean floatable)` This variable holds whether the dock window is floatable.
`void` | `setMovable(boolean movable)` This variable holds whether the dock window is movable.
`void` | `setTitle(java.lang.String title)` This variable holds the title of the dock window.
`java.lang.String` | `title()` This variable holds the title of the dock window.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionDockWidget

    public QStyleOptionDockWidget()

  Constructs a `QStyleOptionDockWidget`, initializing the member variables to their default values.

### QStyleOptionDockWidget

    public QStyleOptionDockWidget(QStyleOptionDockWidget other)

  Constructs a copy of the `other` style option.

Method Detail

### setTitle

    public final void setTitle(java.lang.String title)

  This variable holds the title of the dock window. The default value is an empty string.

### title

    public final java.lang.String title()

  This variable holds the title of the dock window. The default value is an empty string.

### setFloatable

    public final void setFloatable(boolean floatable)

  This variable holds whether the dock window is floatable. The default value is true.

### floatable

    public final boolean floatable()

  This variable holds whether the dock window is floatable. The default value is true.

### setClosable

    public final void setClosable(boolean closable)

  This variable holds whether the dock window is closable. The default value is true.

### closable

    public final boolean closable()

  This variable holds whether the dock window is closable. The default value is true.

### setMovable

    public final void setMovable(boolean movable)

  This variable holds whether the dock window is movable. The default value is false.

### movable

    public final boolean movable()

  This variable holds whether the dock window is movable. The default value is false.

### fromNativePointer

    public static QStyleOptionDockWidget fromNativePointer(QNativePointer nativePointer)

  This method returns the QStyleOptionDockWidget instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionDockWidget[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionDockWidget array.

### clone

    public QStyleOptionDockWidget clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOption`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD